### Function

# Qmi MessageWdaGetDataFormatInput new

since: 1.10

#### Declaration [src]

    QmiMessageWdaGetDataFormatInput*
    qmi_message_wda_get_data_format_input_new (
      void
    )

#### Description [src]

Allocates a new `QmiMessageWdaGetDataFormatInput`.

Available since: 1.10

#### Return value

Type: `QmiMessageWdaGetDataFormatInput`

The newly created `QmiMessageWdaGetDataFormatInput`. The returned value should be freed with qmi_message_wda_get_data_format_input_unref().

The caller of the function takes ownership of the data, and is responsible for freeing it.